<template>
  <!-----Contiene texto y la imagen principal de la app-->
    <div id="cabecera">
        <!-----Contenedor del texto/titulo----->
        <div id="contTexto">
            <h1>Futurama</h1>
            <label>Consulta los personajes</label>
        </div>

        <!-----Contenedor de la imagen---->
        <div id="contImg">
            <img class="flotar"
                src="https://res.cloudinary.com/dzxqhkyqd/image/upload/v1554871230/planet-express.png" />
        </div>
    </div>
</template>

<script>
export default {

}
</script>

<style>
#contTexto{
    width: 50%;
    float: left;
    height: 100%;
    text-align: center;
    margin-top: 50px;
    color: white;
}

#contImg{
    width: 50%;
    float: right;
    height: 100%;
    margin-top: 50px;
}
/****************Estilo para la imagen de la cabecera**************/
.flotar{
    animation: flotarArriba 4s ease-in-out infinite;
}

/*Construir animación*/
@keyframes flotarArriba {
    0%{
        transform: translateY(0px);
    }
    50%{
        transform: translateY(-20px);
    }
    100%{
        transform: translateY(0px);
    }
}
</style>